org.apache.hc.core5.http.message

## Class LazyLaxLineParser

- java.lang.Object
- - org.apache.hc.core5.http.message.BasicLineParser
  - - org.apache.hc.core5.http.message.LazyLaxLineParser

- All Implemented Interfaces:
    LineParser

      public class LazyLaxLineParser
      extends BasicLineParser

  Extension of `BasicLineParser` that defers parsing of header values. Header value is parsed only if accessed with `NameValuePair.getValue()`.

  This parser unlike `BasicLineParser` and `LazyLineParser` will not reject headers containing whitespaces between the header field name and colon.

  This parser should be used to parse response messages on the client server or to parse both request and response messages by an intermediary (proxy).

  Since:
    5.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LazyLaxLineParser` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyLaxLineParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Header` | `parseHeader(CharArrayBuffer buffer)` Parses a header from the given buffer containing one line of text.

    - ### Methods inherited from class org.apache.hc.core5.http.message.BasicLineParser

      `parseRequestLine, parseStatusLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final LazyLaxLineParser INSTANCE

  - ### Constructor Detail

    - #### LazyLaxLineParser

          public LazyLaxLineParser()

  - ### Method Detail

    - #### parseHeader

          public Header parseHeader(CharArrayBuffer buffer)
                             throws ParseException

      Description copied from interface: `LineParser`
      Parses a header from the given buffer containing one line of text. The full header line is expected here. Header continuation lines must be joined by the caller before invoking this method.
      Specified by:
        `parseHeader` in interface `LineParser`
      Overrides:
        `parseHeader` in class `BasicLineParser`
      Parameters:
        `buffer` - a buffer holding the full header line.
      Returns:
        the header in the argument buffer.
      Throws:
        `ParseException` - in case of a parse error

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.